Bug 479596 - Review Request: serafettin-cartoon-fonts - Sans-serif Cartoon Fonts
Review Request: serafettin-cartoon-fonts - Sans-serif Cartoon Fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-11 16:54 EST by Orcan Ogetbil
Modified: 2009-01-14 21:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 21:50:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-01-11 16:54:43 EST
Spec URL: http://oget.fedorapeople.org/review/serafettin-fonts.spec
SRPM URL: http://oget.fedorapeople.org/review/serafettin-fonts-0.3-1.fc10.src.rpm
Description: 
Serafettin aims to be a collection of free Latin fonts for
daily usage. Currently it contains a free comic Sans font,
covering the ISO8859-1 character set. It is based on
Thukkaram Gopalrao's TSCu_Comic of tamillinux project.
-----------------------------------------------------------------------------
I should note that I am the upstream of these fonts and I'm open to any constructive criticism.

rpmlint is silent.

fonts packaged according to the new guidelines:
   http://fedoraproject.org/wiki/Fedora_fonts_policy_package

The fonts that serafettin-fonts are based on can be found at:
   http://tamillinux.sourceforge.net/
   https://sourceforge.net/project/showfiles.php?group_id=14214
These fonts were released under GPL hence I am releasing serafettin-fonts under GPL.
Comment 1 Nicolas Mailhot 2009-01-11 17:19:36 EST
@spot: please check the licensing history is clean (seems so, but I'm no expert)

@oget:
— please add a page ("packaging request") describing your font describing your font as documented in http://fedoraproject.org/wiki/Font_package_lifecycle
— please make sure your description/summary does not contain trademarked terms belonging to hostile entities
Comment 2 Orcan Ogetbil 2009-01-12 08:37:41 EST
Spec URL: http://oget.fedorapeople.org/review/serafettin-fonts.spec
SRPM URL:
http://oget.fedorapeople.org/review/serafettin-fonts-0.4-1.fc10.src.rpm

Changelog:
- New version with a name change (comic -> cartoon)

I also made a wiki page for this font:
https://fedoraproject.org/wiki/Serafettin_fonts
Comment 3 Tom "spot" Callaway 2009-01-12 13:12:18 EST
Licensing history looks clean, I will assume it is unless evidence to the contrary appears.
Comment 4 Nicolas Mailhot 2009-01-12 16:59:41 EST
If spot is ok with the package I'm ok too.

Full review (going a bit deeper than usual since you're also upstream)

1. Maybe change the summary to "A sans-serif cartoon font"

2. No need to write about ISO-8859-1 in the description, you'll increase the coverage with time (I hope) and then get stuck with a wrong summary (please target MES-1 coverage at least)

3. Please wrap your description at 79 columns, not 60

4. There is no need to go at such lengths to make the rpmlint relative warning go away
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#rpmlint_complains_of_absolute_symbolic_links.21

5. please make your package name match the font name (if it is Serafettin Cartoon, name the package serafettin-cartoon-fonts) ✪✪✪✪✪


6. consider using the .txt extension for your documentation files, that makes GUI users much happier

7. It's a good idea to add a fontlog.txt that traces the font history

8. your package says it's at 0.4 but the font files say they're at 0.3. Don't do that (a good trick is to have a version variable in your makefile and change the generated font version to this variable at build time, cf dejavu and liberation)

9. please ask on the fontforge mailing list how to change the FStype so the restricted font warning goes away. Most people will take it as the font not being really gpl

10. Please specify the GPL version(s) in the font metadata (v1, v2, v2+, v3, etc) (and no need to write it's under the GPL twice in the copyright field)

11. the subfamily/style ttf name in the main file seems wrong

12. More generally it looks like you still need to clean up your font metadata a bit more

13. rawhide fontforge complains about misplaced mu in the font files

14. should probably not be classified as a sans-serif font in the fontconfig file, but as a cursive or decorative one (your OS/2 metadata says it's decorative, but fontforge classifies Comic Sans MS as cursive=script in OS/2 speak)

15. please look at the substitution-font-template template in fontpackages-devel to tell fontconfig to use your font instead of TSCu_Comic when a document requests TSCu_Comic and it's not installed on-system

16. a font with Tamil glyphs should use 65 fontconfig prio at least

17. you can use http://www.unicode.org/charts/PDF/U0B80.pdf to place the tamil glyphs on the right unicode points, it would be a shame to lose them

18. adding some info in the readme on what a Serafettin is would be nice for us not in the know

Apart from the package name there's nothing blocking or that can't be handled upstream, so I'll tentatively approve the package. But please change its name before filling in the CVS request

⬬⬬⬬ APPROVED ⬬⬬⬬

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
Reassigning the request, my part is now done
Comment 5 Nicolas Mailhot 2009-01-12 17:04:44 EST
(also you can probably get yourself fedorahosted if you'd like to, and share the fedora fonts mailing list with lohit, liberation and the fonts sig)
Comment 6 Orcan Ogetbil 2009-01-13 15:30:03 EST
New Package CVS Request
=======================
Package Name: serafettin-cartoon-fonts
Short Description: Sans-serif Cartoon Fonts
Owners: oget
Branches: F-9 F-10
InitialCC: fonts-sig
Comment 7 Kevin Fenzi 2009-01-13 15:38:13 EST
cvs done.
Comment 8 Fedora Update System 2009-01-13 16:55:11 EST
serafettin-cartoon-fonts-0.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/serafettin-cartoon-fonts-0.5-1.fc10
Comment 9 Fedora Update System 2009-01-14 21:50:36 EST
serafettin-cartoon-fonts-0.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.